Nasser Alhawash wrote:
> Hi,
> 
> I tried to run the "hello" example and got an error:
> 
> hello.rb:10: [BUG] Bus Error ruby 1.6.6 (2001-12-26) [powerpc-darwin5.2]
> Abort trap
> 
> Any ideas.
> 
> Thanks,
> Nasser Alhawash

Hello,


I can recommend this guide to update your ruby version on your Mac.

http://hivelogic.com/articles/2005/12/01/ruby_rails_lighttpd_mysql_tiger

Go up to "RubyGems". After that you may skip the rest cause for now - 
if you just want to learn ruby  - that will do it. You will need your 
Mac OS X DVD and install XCode from there to get GCC 4 for PPC. (GCC 
is a compiler).


If you are new to the Unix/Linux World this might help as well:

http://hivelogic.com/articles/2005/11/29/using_usr_local


Alternative method:
You may also try to update ruby via Macports (formely Darwinports):
http://www.macports.org/

Good Luck.